summaryrefslogtreecommitdiff
path: root/community/yagf
diff options
context:
space:
mode:
authorroot <root@rshg054.dnsready.net>2013-07-19 01:10:32 -0700
committerroot <root@rshg054.dnsready.net>2013-07-19 01:10:32 -0700
commit8fbc0076a4827ddc6af92e0b9daa4c4c31450808 (patch)
tree03fd0e2921ebd53228d9a93e32ed3976b636cbea /community/yagf
parente445a313723389ba9ee1fded025c567dae5b21ea (diff)
Fri Jul 19 01:09:18 PDT 2013
Diffstat (limited to 'community/yagf')
-rw-r--r--community/yagf/PKGBUILD31
-rw-r--r--community/yagf/yagf.install13
2 files changed, 44 insertions, 0 deletions
diff --git a/community/yagf/PKGBUILD b/community/yagf/PKGBUILD
new file mode 100644
index 000000000..a810ad8c5
--- /dev/null
+++ b/community/yagf/PKGBUILD
@@ -0,0 +1,31 @@
+# $Id: PKGBUILD 85428 2013-03-01 10:43:02Z andrea $
+# Maintainer: Sergej Pupykin <pupykin.s+arch@gmail.com>
+# Contributor: das-ich <das-ich@yandex.ru>
+
+pkgname=yagf
+pkgver=0.9.2
+pkgrel=3
+pkgdesc="QT4-based GUI for Cuneiform and Tesseract OCRs"
+arch=(i686 x86_64)
+url="http://symmetrica.net/cuneiform-linux/yagf-en.html"
+license=('GPL')
+depends=('qt4' 'aspell')
+optdepends=('cuneiform: recognition tool'
+ 'tesseract: recognition tool'
+ 'xsane: acquire images from a scanner into YAGF directly')
+makedepends=('cmake')
+install=yagf.install
+source=(http://symmetrica.net/cuneiform-linux/${pkgname}-${pkgver}.tar.gz)
+md5sums=('13592e52006d20f71c0094aafb13ed0e')
+
+build() {
+ cd "${srcdir}/${pkgname}-$pkgver"
+ cmake -D CMAKE_INSTALL_PREFIX=/usr -D CMAKE_BUILD_TYPE=Release .
+ make
+}
+
+package() {
+ cd "${srcdir}/${pkgname}-$pkgver"
+ make DESTDIR=${pkgdir} install
+ [ -d $pkgdir/usr/lib64 ] && mv $pkgdir/usr/lib64 $pkgdir/usr/lib || true
+}
diff --git a/community/yagf/yagf.install b/community/yagf/yagf.install
new file mode 100644
index 000000000..1eb57303c
--- /dev/null
+++ b/community/yagf/yagf.install
@@ -0,0 +1,13 @@
+post_install() {
+ [ -x `which update-mime-database` ] && update-mime-database usr/share/mime
+ [ -x `which gtk-update-icon-cache` ] && gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ bin/true
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+post_remove() {
+ post_install $1
+}